package com.ruoyi.project.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.project.business.domain.TcProjectEquipment;
import com.ruoyi.project.business.domain.vo.project.ProjectEquipmentReq;
import com.ruoyi.project.business.domain.vo.project.ProjectSaveOrUpdateEquipmentReq;

import java.util.List;
import java.util.Map;

/**
 * 【请填写功能名称】Service接口
 * 
 * @author ruoyi
 * @date 2024-06-28
 */
public interface ITcProjectEquipmentService extends IService<TcProjectEquipment>
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public TcProjectEquipment selectTcProjectEquipmentById(Long id);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param req 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<TcProjectEquipment> selectTcProjectEquipmentList(ProjectEquipmentReq req);

    /**
     * 新增【请填写功能名称】
     * 
     * @param tcProjectEquipment 【请填写功能名称】
     * @return 结果
     */
    public int insertTcProjectEquipment(TcProjectEquipment tcProjectEquipment);

    /**
     * 修改【请填写功能名称】
     * 
     * @param tcProjectEquipment 【请填写功能名称】
     * @return 结果
     */
    public int updateTcProjectEquipment(TcProjectEquipment tcProjectEquipment);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的【请填写功能名称】主键集合
     * @return 结果
     */
    public int deleteTcProjectEquipmentByIds(Long[] ids);

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteTcProjectEquipmentById(Long id);

    boolean saveOrUpdateEquipment(ProjectSaveOrUpdateEquipmentReq req);

    /**
     * 查询项目设备 总个数、总价
     * @param req   req
     * @return
     */
    Map<String, Object> selectTotal(ProjectEquipmentReq req);

    List<TcProjectEquipment> selectTcProjectEquipmentListProject(ProjectEquipmentReq req);

    Map<String, Object> selectTotalProject(ProjectEquipmentReq req);
}
